Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Interface Selectable

All Known Subinterfaces:
  ClsWidget, MutableSelectable, SlotWidget, TabWidget, ValuesComponent, Widget

All Known Implementing Classes:
  AbstractClsWidget, AbstractListWidget, AbstractSelectableComponent, AbstractSlotWidget, AbstractTableWidget, AbstractTabWidget, AbstractTreeWidget, BooleanListWidget, CheckBoxWidget, ClsesAndInstancesTab, ClsesPanel, ClsesTab, ClsFieldWidget, ClsInverseRelationshipPanel, ClsListWidget, ComboBoxWidget, ConstraintsWidget, DefaultValuesWidget, DigestedPasswordWidget, DirectDomainWidget, DirectInstancesList, DirectInstancesWidget, DirectTypesList, DirectTypesWidget, DocumentationWidget, FileList, FloatFieldWidget, FloatListWidget, FormsPanel, FormsTab, FormWidget, ImageWidget, InstanceClsesPanel, InstanceField, InstanceFieldWidget, InstanceListWidget, InstanceNameWidget, InstancesTab, InstanceValuesComponent, IntegerFieldWidget, IntegerListWidget, InverseSlotWidget, KAToolTab, MaximumCardinalityWidget, MinimumCardinalityWidget, NumberFieldWidget, NumericMaximumWidget, NumericMinimumWidget, PasswordFieldWidget, ProtegePropertiesTab, ReferencersPanel, RelationshipPane, RoleWidget, SelectableContainer, SelectableList, SelectableTable, SelectableTree, SlotsTab, SlotValuesWidget, StringListWidget, SubclassPane, SubclassWidget, SubslotPane, SuperclassWidget, SuperslotsPanel, SymbolListWidget, TemplateSlotsWidget, TextAreaWidget, TextComponentWidget, TextFieldWidget, UglyClsWidget, UglySlotWidget, UglyTabWidget, UniqueStringWidget, URIList, URLWidget, ValueTypeWidget, YellowStickyWidget

    public interface Selectable

A generic interface for things that are selectable. Often (always?) in this app listeners don't really care if they are listening to a List or a Table or a Tree. They just want to find out when the selection changes and to be able to find out what the current selection list. This interface allows listeners to do this. There are a variety of adapters available that turn component specific selection events into Selectable events. There are also Selectable versions of all of the standard components.

Author:
  Ray Fergerson

Method Summary
`void` | `addSelectionListener(SelectionListener listener)`
`void` | `clearSelection()`
`Collection` | `getSelection()`
`void` | `notifySelectionListeners()`
`void` | `removeSelectionListener(SelectionListener listener)`

Method Detail

### addSelectionListener

    void addSelectionListener(SelectionListener listener)

### clearSelection

    void clearSelection()

### getSelection

    Collection getSelection()

### notifySelectionListeners

    void notifySelectionListeners()

### removeSelectionListener

    void removeSelectionListener(SelectionListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.